- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RM_Helper Class Reference

`#include <RM_Helper.h>`

List of all members.

## Static Public Member Functions
static void | pc_to_cdr (const Deployment::PackageConfiguration &pc, TAO_OutputCDR &cdr)
static void | cdr_to_pc (Deployment::PackageConfiguration &pc, TAO_InputCDR &cdr)
static bool | externalize (const Deployment::PackageConfiguration &pc, const char *path)
static bool | reincarnate (Deployment::PackageConfiguration &pc, const char *path)
static bool | write_to_disk (const char *full_path, const CORBA::Octet *buffer, size_t length)
static bool | write_to_disk (const char *full_path, ACE_Message_Block &mb, bool replace=true)
static bool | write_pc_to_disk (const char *full_path, ACE_Message_Block &mb, bool replace=true)
static CORBA::Octet * | read_from_disk (const char *full_path, size_t &length)
static ACE_Message_Block * | read_pc_from_disk (const char *full_path, size_t &length)

## Member Function Documentation

void RM_Helper::cdr_to_pc | ( | Deployment::PackageConfiguration & | pc,
|  | TAO_InputCDR & | cdr |
| ) |  |  | `[static]`

bool RM_Helper::externalize | ( | const Deployment::PackageConfiguration & | pc,
|  | const char * | path |
| ) |  |  | `[static]`

void RM_Helper::pc_to_cdr | ( | const Deployment::PackageConfiguration & | pc,
|  | TAO_OutputCDR & | cdr |
| ) |  |  | `[static]`

CORBA::Octet * RM_Helper::read_from_disk | ( | const char * | full_path,
|  | size_t & | length |
| ) |  |  | `[static]`

function to read the contents of a file from disk into a CORBA::OctetSeq returns a pointer to a CORBA::Octet buffer and updates the lenght on success 0 on failure

ACE_Message_Block * RM_Helper::read_pc_from_disk | ( | const char * | full_path,
|  | size_t & | length |
| ) |  |  | `[static]`

function to read the contents of a file from disk into an ACE_Message_Block returns a pointer to an ACE_Message_Block and updates the lenght on success 0 on failure

bool RM_Helper::reincarnate | ( | Deployment::PackageConfiguration & | pc,
|  | const char * | path |
| ) |  |  | `[static]`

bool RM_Helper::write_pc_to_disk | ( | const char * | full_path,
|  | ACE_Message_Block & | mb,
|  | bool | replace = `true` |
| ) |  |  | `[static]`

function that writes out a file to a specified location on the hand disk returns 1 on success 0 on already exists and replace == false 0 on error

NOTE: This function is relevant for PackageConfigurations ONLY

bool RM_Helper::write_to_disk | ( | const char * | full_path,
|  | ACE_Message_Block & | mb,
|  | bool | replace = `true` |
| ) |  |  | `[static]`

function that writes out a file to a specified location on the hand disk returns 1 on success 0 on already exists and replace == false 0 on error

bool RM_Helper::write_to_disk | ( | const char * | full_path,
|  | const CORBA::Octet * | buffer,
|  | size_t | length |
| ) |  |  | `[static]`

function that writes out a file to a specified location on the hard disk returns 1 on success 0 on error

The documentation for this class was generated from the following files:

- RM_Helper.h
- RM_Helper.cpp